C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**** compute the solution at the geometrical nodes:                ***
C**   ---------------------------------------------                 ***
C**                                                                 ***
      DO 5000 SET=1,NSEL

        NN=IVEM(MESH+1)
	N=0
	DO 5010 I=1,NK
	  IF (SOLIND(I,SET).NE.0) N=N+1
	  TRIND(I)=SOLIND(I,SET)
5010    CONTINUE
	
        IF (N.GT.0) THEN
          LUG=NN*N
	  UG=SPACE
          RBIG2=UG+LUG
          IBIG2=(RBIG2-1)*RPI+1
          LBIG2=LSPACE+SPACE-RBIG2

          IVEM(30)=LOUT
          IVEM(31)=CNTOUT*OUTFLG*0
          IVEM(32)=NN
          IVEM(33)=N

          CALL VEMU05(T,LUG,RBIG(UG),LU,U,LIVEM,IVEM,
     &                LNEK,NEK,LRPARM,RPARM,LIPARM,IPARM,
     &                LDNOD,DNOD,LRDPRM,RDPARM,LIDPRM,IDPARM,LNODN,
     &                NODNUM,LNOD,NOD,LNOPRM,NOPARM,
     &                LBIG2,RBIG(RBIG2),IBIG(IBIG2),INTERP)
          IF (IVEM(2).NE.0) GOTO 9999
#
# now the postprocessor interface ?out2.h is included.
#
